#pragma once
#include "UIElement.h"


class UISysMsgElement : public UIElement
{
public:
	UISysMsgElement(CChatItem* pChatItem, IUIElementResouce* pResouce);

	virtual ~UISysMsgElement(void);

	virtual BOOL Draw(Graphics *graph );
	virtual CSize CalcSize(const CPoint& ptPos, DWORD dwFlags);
	virtual void OnLButtonDown(UINT nFlags, CPoint point);
	virtual void OnLButtonDblClk( UINT nFlags, CPoint point );
	virtual BOOL OnMouseMove( UINT nFlags, CPoint point );
private:
	void _SetChatSelectedItem(CPoint ptStart, CPoint ptEnd, BOOL bSelectWord);
	int  _GetStringIndexUnderPoint(CPoint point);

	CRect m_rcMsg;
	CRect m_rcSysArrow;
};